Upgrade Requirements Check

  • I'm just curious / had a question regarding the upgrade process from 5.4 to 5.5

    The instructions manual states:

    1. Use the link at the end of the info box to check your webspace for compatibility with WoltLab Suite 5.5.
    2. If your webspace is compatible with WoltLab Suite 5.5 you can enable the update servers for WoltLab Suite 5.5 by enabling the Enable Upgrading to the New Version switch and submitting the form.

    My info box only says:

    And when I click the link to "Validate the system requirements to begin the upgrade", all it does is take me to the override screen to enable the update:

    The instructions make it sound like the system should be running a check and then telling you if your server / hosting meets the requirements ... but it doesn't do that ... all the "validate requirements" link in the info box does it take you to the override page to enable it ... it doesn't even list the requirements on the page.

    I was just curious if this was the intended behavior? The same thing happened when I upgraded to 5.4 a little while back. If it is the intended behavior, I recommend updated the manual to specifically state the system DOES NOT CHECK for requirements and you have to verify yourself, as it is a bit confusing.

    Thanks!

    You cannot fail when you only strive to succeed.

  • You are all good, the page will only show remarks if there is an unmet requirement (check runs when page is loading), but if everything is "green" it will just offer you to enable it.

    However, I do agree that this is a bit strange since there is no explicit indication, only the implicit availability of the switch.

  • You are all good, the page will only show remarks if there is an unmet requirement (check runs when page is loading), but if everything is "green" it will just offer you to enable it.

    However, I do agree that this is a bit strange since there is no explicit indication, only the implicit availability of the switch.

    Thanks. Maybe, just as a recommendation, the page should be tweaked in the future to say "Requirements: SUCCESS" or something on it (if it isn't already supposed to be doing that type of behavior), as the page URL has "override" in it which makes me think that my system doesn't meet the requirements and I'm overriding and downloading anyway.

    Thank you again for the quick feedback!

    You cannot fail when you only strive to succeed.

  • Tim Düsterhus July 20, 2022 at 12:51 PM

    Added the Label Implemented

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!